ServerEvents.recipes(event => {
    [
        'minecraft:iron_pickaxe',
        'minecraft:iron_shovel',
        'minecraft:iron_axe',
        'minecraft:iron_sword',
        'minecraft:iron_hoe',
        'minecraft:anvil',
        'farmersdelight:cooking_pot',
        'farmersdelight:stove'
    ].forEach(recipe => event.remove({id: recipe}));

    event.shaped('backpacked:backpack', [
        'VVV',
        'GHG',
        'VVV'
    ], {
        V: 'minecraft:leather',
        G: 'minecraft:string',
        H: 'minecraft:iron_ingot'
    });

    event.shaped('minecraft:fern', [
            'PP ',
            'PP ',
            '   '
        ], {
            P: '#flowers'
        }).id('kubejs:fern');

    event.shaped('legendarysurvivaloverhaul:sun_fern_seeds', [
            'RSR',
            'SPS',
            'RSR'
        ], {
            S: 'minecraft:magma_block',
            P: 'minecraft:fern',
            R: 'minecraft:blaze_rod',
        }).id('kubejs:sun_fern_seeds');
    
    event.shapeless('4x minecraft:string', ['#minecraft:wool'])

    event.campfireCooking('legendarysurvivaloverhaul:purified_water_bottle', 'minecraft:potion')
        .xp(0.1)           // opcjonalnie: ile XP za przepalanie
        .cookingTime(600)  // opcjonalnie: czas w tickach (600 = 30 sekund)
        .id('kubejs:purified_water_on_campfire');
        
        event.shaped('minecraft:blaze_powder', [
            'GGG',
            'GPG',
            'GGG'
        ], {
            G: 'minecraft:gold_nugget',
            P: 'minecraft:gunpowder'
        }).id('kubejs:golden_blaze_powder');

        event.shaped('minecraft:blaze_rod', [
            'GGG',
            'GLG',
            'GGG'
        ], {
            G: 'minecraft:gold_nugget',
            L: 'minecraft:lightning_rod'
        }).id('kubejs:golden_blaze_rod');      

        event.shaped('farmersdelight:cooking_pot', [
            'BSB',
            'IWI',
            'III'
        ], {
            W: 'minecraft:water_bucket',
            I: 'minecraft:iron_ingot',
            S: 'minecraft:stick',
            B: 'minecraft:brick'
        }).id('kubejs:cooking_pot');

        event.shaped('farmersdelight:stove', [
            'III',
            'B B',
            'BMB'
        ], {
            B: 'minecraft:bricks',
            I: 'minecraft:iron_ingot',
            M: 'minecraft:magma_block'
        }).id('kubejs:stove');   
});


